## wxMDIClientWindow

An MDI client window is a child of wxMDIParentFrame, and manages zero or more wxMDIChildFrame objects.

Derived from

wxWindow
wxEvtHandler
wxObject

Include files

<wx/mdi.h>

Remarks

The client window is the area where MDI child windows exist. It doesn't have to cover the whole parent frame; other windows such as toolbars and a help window might coexist with it. There can be scrollbars on a client window, which are controlled by the parent window style.

The wxMDIClientWindow class is usually adequate without further derivation, and it is created automatically when the MDI parent frame is created. If the application needs to derive a new class, the function wxMDIParentFrame::OnCreateClient must be overridden in order to give an opportunity to use a different class of client window.

Under Windows 95, the client window will automatically have a sunken border style when the active child is not maximized, and no border style when a child is maximized.

See also

wxMDIChildFrame, wxMDIParentFrame, wxFrame

Members

wxMDIClientWindow::wxMDIClientWindow
wxMDIClientWindow::~wxMDIClientWindow
wxMDIClientWindow::CreateClient

### wxMDIClientWindow::wxMDIClientWindow

wxMDIClientWindow()

Default constructor.

wxMDIClientWindow(wxMDIParentFrame* parent, long style = 0)

Constructor, creating the window.

Parameters

parent

The window parent.

style

The window style. Currently unused.

Remarks

The second style of constructor is called within wxMDIParentFrame::OnCreateClient.

See also

wxMDIParentFrame::wxMDIParentFrame, wxMDIParentFrame::OnCreateClient

### wxMDIClientWindow::~wxMDIClientWindow

~wxMDIClientWindow()

Destructor.

### wxMDIClientWindow::CreateClient

bool CreateClient(wxMDIParentFrame* parent, long style = 0)

Used in two-step frame construction. See wxMDIClientWindow::wxMDIClientWindow for further details.